from fastapi import APIRouter
from fastapi.responses import JSONResponse

from bsition.api.endpoints import documents, login, tables, users

router = APIRouter()


@router.get("")
def info():
    return JSONResponse(content={"message": "BSition API v1"}, status_code=200)


router.include_router(login.router)
router.include_router(documents.router, prefix="/documents")
router.include_router(users.router, prefix="/users")
router.include_router(tables.router, prefix="/tables")
